import * as React from 'react';
import { RendererProps } from '../factory';
export interface PaginationProps extends RendererProps {
    activePage?: number;
    items?: number;
    maxButtons?: number;
    hasNext?: boolean;
    mode?: string;
    onPageChange: (page: number, perPage?: number) => void;
    pageNum?: number;
    changePageNum: (value: number) => void;
    showPageInput: boolean;
}
export interface DefaultProps {
    activePage: number;
    items: number;
    maxButtons: number;
    mode: string;
    hasNext: boolean;
    showPageInput: boolean;
}
export default class Pagination extends React.PureComponent<PaginationProps, any> {
    static defaultProps: DefaultProps;
    constructor(props: PaginationProps);
    renderSimple(): JSX.Element;
    handlePageChange(e: React.ChangeEvent<any>): void;
    renderNormal(): JSX.Element;
    render(): JSX.Element;
}
export declare class PaginationRenderer extends Pagination {
}
